aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-http-cookies
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-01 13:32:43 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-01 13:32:43 +0000
commitde8076ef4fce027afc836a7b088523eaf538b589 (patch)
treeae0825d1bd03a2a9b6b86e22dc72a97e5be5e690 /main/perl-http-cookies
parent7e2080f94723e066a7945cc192db2aad7930305c (diff)
downloadaports-de8076ef4fce027afc836a7b088523eaf538b589.tar.gz
aports-de8076ef4fce027afc836a7b088523eaf538b589.tar.bz2
aports-de8076ef4fce027afc836a7b088523eaf538b589.tar.xz
main/perl-http-cookies: new aport needed by perl-libwww
HTTP::Cookies perl module http://search.cpan.org/dist/HTTP-Cookies/
Diffstat (limited to 'main/perl-http-cookies')
-rw-r--r--main/perl-http-cookies/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/perl-http-cookies/APKBUILD b/main/perl-http-cookies/APKBUILD
new file mode 100644
index 0000000000..5f592068f6
--- /dev/null
+++ b/main/perl-http-cookies/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-http-cookies
+pkgver=6.00
+pkgrel=0
+pkgdesc="HTTP::Cookies perl module"
+url="http://search.cpan.org/dist/HTTP-Cookies/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-http-date perl-http-message"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/HTTP-Cookies-$pkgver.tar.gz"
+
+_builddir="$srcdir"/HTTP-Cookies-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="21bed72b30a46604c152b7e25cf1cb45 HTTP-Cookies-6.00.tar.gz"